NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::FacePlaneSelectionBuilder Class Reference

Represents a NXOpen::GeometricUtilities::FacePlaneSelectionBuilder. More...

Inheritance diagram for NXOpen::GeometricUtilities::FacePlaneSelectionBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  TrimObjectType { TrimObjectTypePlane, TrimObjectTypeFace, TrimObjectTypeEdge }
 Specifies the object type for blend endcap objects. More...
 

Public Member Functions

bool IsOk ()
 Returns the data OK flag
Created in NX7.0.0. More...
 
bool LimitTopolSwitchFinFlag ()
 Returns the limit edge switch fin flag
Created in NX8.0.0. More...
 
NXOpen::PointPlaneHelpPoint ()
 Returns the user plane cap help point
Created in NX6.0.0. More...
 
NXOpen::ScCollectorSelectEdge ()
 Returns the select limit edge
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::FaceSetDataSelectFace ()
 Returns the select face
Created in NX6.0.0. More...
 
NXOpen::PlaneSelectPlane ()
 Returns the select plane
Created in NX6.0.0. More...
 
void SetLimitTopolSwitchFinFlag (bool switchFlag)
 Sets the limit edge switch fin flag
Created in NX8.0.0. More...
 
void SetOk (bool isOk)
 Sets the data OK flag
Created in NX7.0.0. More...
 
void SetPlaneHelpPoint (NXOpen::Point *helpPoint)
 Sets the user plane cap help point
Created in NX6.0.0. More...
 
void SetSelectPlane (NXOpen::Plane *selectPlane)
 Sets the select plane
Created in NX6.0.0. More...
 
void SetTrimObject (NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType trimObject)
 Sets the trim object
Created in NX6.0.0. More...
 
void SetUseFaceCapBlend (bool useFaceCapBlend)
 Sets the use face cap blend flag
Created in NX8.0.0. More...
 
void SetUsePlaneCapBlend (bool usePlaneCapBlend)
 Sets the use plane cap blend
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType TrimObject ()
 Returns the trim object
Created in NX6.0.0. More...
 
bool UseFaceCapBlend ()
 Returns the use face cap blend flag
Created in NX8.0.0. More...
 
bool UsePlaneCapBlend ()
 Returns the use plane cap blend
Created in NX6.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GeometricUtilities::FacePlaneSelectionBuilder.


Created in NX6.0.0.

Member Enumeration Documentation

Specifies the object type for blend endcap objects.

Enumerator
TrimObjectTypePlane 

plane end cap

TrimObjectTypeFace 

face end cap

TrimObjectTypeEdge 

edge limit cap

Member Function Documentation

bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::IsOk ( )

Returns the data OK flag
Created in NX7.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::LimitTopolSwitchFinFlag ( )

Returns the limit edge switch fin flag
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::PlaneHelpPoint ( )

Returns the user plane cap help point
Created in NX6.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SelectEdge ( )

Returns the select limit edge
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::FaceSetData* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SelectFace ( )

Returns the select face
Created in NX6.0.0.



License requirements : None

NXOpen::Plane* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SelectPlane ( )

Returns the select plane
Created in NX6.0.0.



License requirements : None

void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetLimitTopolSwitchFinFlag ( bool  switchFlag)

Sets the limit edge switch fin flag
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
switchFlagswitchflag
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetOk ( bool  isOk)

Sets the data OK flag
Created in NX7.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isOkisok
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetPlaneHelpPoint ( NXOpen::Point helpPoint)

Sets the user plane cap help point
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
helpPointhelppoint
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetSelectPlane ( NXOpen::Plane selectPlane)

Sets the select plane
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
selectPlaneselectplane
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetTrimObject ( NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType  trimObject)

Sets the trim object
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
trimObjecttrimobject
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetUseFaceCapBlend ( bool  useFaceCapBlend)

Sets the use face cap blend flag
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
useFaceCapBlendusefacecapblend
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetUsePlaneCapBlend ( bool  usePlaneCapBlend)

Sets the use plane cap blend
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
usePlaneCapBlenduseplanecapblend
NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObject ( )

Returns the trim object
Created in NX6.0.0.



License requirements : None

bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::UseFaceCapBlend ( )

Returns the use face cap blend flag
Created in NX8.0.0.



License requirements : None

bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::UsePlaneCapBlend ( )

Returns the use plane cap blend
Created in NX6.0.0.



License requirements : None

virtual bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.